//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Fri Jul 20 11:20:46 2018
// Version: PolarFire v2.0 12.200.0.20
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// CORETES_AHB
module CORETES_AHB(
    // Inputs
    HADDR,
    HBURST,
    HCLK,
    HMASTLOCK,
    HREADY,
    HRESETN,
    HSEL,
    HSIZE,
    HTRANS,
    HWDATA,
    HWRITE,
    MDI,
    RCG,
    RXCLK,
    RXHGRANT,
    RXHRDATA,
    RXHREADY,
    RXHRESP,
    SIGNAL_DETECT,
    STBP,
    TBI_RX_CLK,
    TBI_TX_CLK,
    TXCLK,
    TXHGRANT,
    TXHRDATA,
    TXHREADY,
    TXHRESP,
    // Outputs
    ANX_STATE,
    HRDATA,
    HREADYOUT,
    HRESP,
    MDC,
    MDO,
    MDOEN,
    RCG_ERROR,
    RXHADDR,
    RXHBURST,
    RXHBUSREQ,
    RXHLOCK,
    RXHSIZE,
    RXHTRANS,
    RXHWDATA,
    RXHWRITE,
    SYNC,
    TCG,
    TSM_CONTROL,
    TSM_INTR,
    TXHADDR,
    TXHBURST,
    TXHBUSREQ,
    TXHLOCK,
    TXHSIZE,
    TXHTRANS,
    TXHWDATA,
    TXHWRITE
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input  [31:0] HADDR;
input  [2:0]  HBURST;
input         HCLK;
input         HMASTLOCK;
input         HREADY;
input         HRESETN;
input         HSEL;
input  [2:0]  HSIZE;
input  [1:0]  HTRANS;
input  [31:0] HWDATA;
input         HWRITE;
input         MDI;
input  [9:0]  RCG;
input         RXCLK;
input         RXHGRANT;
input  [31:0] RXHRDATA;
input         RXHREADY;
input  [1:0]  RXHRESP;
input         SIGNAL_DETECT;
input         STBP;
input         TBI_RX_CLK;
input         TBI_TX_CLK;
input         TXCLK;
input         TXHGRANT;
input  [31:0] TXHRDATA;
input         TXHREADY;
input  [1:0]  TXHRESP;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output [9:0]  ANX_STATE;
output [31:0] HRDATA;
output        HREADYOUT;
output [1:0]  HRESP;
output        MDC;
output        MDO;
output        MDOEN;
output        RCG_ERROR;
output [31:0] RXHADDR;
output [2:0]  RXHBURST;
output        RXHBUSREQ;
output        RXHLOCK;
output [2:0]  RXHSIZE;
output [1:0]  RXHTRANS;
output [31:0] RXHWDATA;
output        RXHWRITE;
output        SYNC;
output [9:0]  TCG;
output [31:0] TSM_CONTROL;
output [2:0]  TSM_INTR;
output [31:0] TXHADDR;
output [2:0]  TXHBURST;
output        TXHBUSREQ;
output        TXHLOCK;
output [2:0]  TXHSIZE;
output [1:0]  TXHTRANS;
output [31:0] TXHWDATA;
output        TXHWRITE;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire   [31:0] AHBMRX_HADDR;
wire   [2:0]  AHBMRX_HBURST;
wire          AHBMRX_HBUSREQ;
wire          RXHGRANT;
wire          AHBMRX_HLOCK;
wire   [31:0] RXHRDATA;
wire          RXHREADY;
wire   [1:0]  RXHRESP;
wire   [2:0]  AHBMRX_HSIZE;
wire   [1:0]  AHBMRX_HTRANS;
wire   [31:0] AHBMRX_HWDATA;
wire          AHBMRX_HWRITE;
wire   [31:0] AHBMTX_HADDR;
wire   [2:0]  AHBMTX_HBURST;
wire          AHBMTX_HBUSREQ;
wire          TXHGRANT;
wire          AHBMTX_HLOCK;
wire   [31:0] TXHRDATA;
wire          TXHREADY;
wire   [1:0]  TXHRESP;
wire   [2:0]  AHBMTX_HSIZE;
wire   [1:0]  AHBMTX_HTRANS;
wire   [31:0] AHBMTX_HWDATA;
wire          AHBMTX_HWRITE;
wire   [31:0] HADDR;
wire   [2:0]  HBURST;
wire          HMASTLOCK;
wire   [31:0] AHBS_HRDATA;
wire          HREADY;
wire          AHBS_HREADYOUT;
wire   [1:0]  AHBS_HRESP;
wire          HSEL;
wire   [2:0]  HSIZE;
wire   [1:0]  HTRANS;
wire   [31:0] HWDATA;
wire          HWRITE;
wire   [9:0]  ANX_STATE_net_0;
wire          HCLK;
wire          HRESETN;
wire          MDC_net_0;
wire          MDI;
wire          MDO_net_0;
wire          MDOEN_net_0;
wire   [9:0]  RCG;
wire          RCG_ERROR_net_0;
wire          RXCLK;
wire          SIGNAL_DETECT;
wire          STBP;
wire          SYNC_net_0;
wire          TBI_RX_CLK;
wire          TBI_TX_CLK;
wire   [9:0]  TCG_net_0;
wire   [31:0] TSM_CONTROL_net_0;
wire   [2:0]  TSM_INTR_net_0;
wire          TXCLK;
wire          MDC_net_1;
wire          MDO_net_1;
wire          MDOEN_net_1;
wire          SYNC_net_1;
wire          RCG_ERROR_net_1;
wire          AHBS_HREADYOUT_net_0;
wire          AHBMTX_HWRITE_net_0;
wire          AHBMTX_HLOCK_net_0;
wire          AHBMTX_HBUSREQ_net_0;
wire          AHBMRX_HWRITE_net_0;
wire          AHBMRX_HLOCK_net_0;
wire          AHBMRX_HBUSREQ_net_0;
wire   [9:0]  TCG_net_1;
wire   [31:0] TSM_CONTROL_net_1;
wire   [2:0]  TSM_INTR_net_1;
wire   [9:0]  ANX_STATE_net_1;
wire   [31:0] AHBS_HRDATA_net_0;
wire   [1:0]  AHBS_HRESP_net_0;
wire   [2:0]  AHBMTX_HBURST_net_0;
wire   [1:0]  AHBMTX_HTRANS_net_0;
wire   [31:0] AHBMTX_HADDR_net_0;
wire   [31:0] AHBMTX_HWDATA_net_0;
wire   [2:0]  AHBMTX_HSIZE_net_0;
wire   [2:0]  AHBMRX_HBURST_net_0;
wire   [1:0]  AHBMRX_HTRANS_net_0;
wire   [31:0] AHBMRX_HADDR_net_0;
wire   [31:0] AHBMRX_HWDATA_net_0;
wire   [2:0]  AHBMRX_HSIZE_net_0;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire          GND_net;
wire   [7:0]  RXD_const_net_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net         = 1'b0;
assign RXD_const_net_0 = 8'h00;
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign MDC_net_1            = MDC_net_0;
assign MDC                  = MDC_net_1;
assign MDO_net_1            = MDO_net_0;
assign MDO                  = MDO_net_1;
assign MDOEN_net_1          = MDOEN_net_0;
assign MDOEN                = MDOEN_net_1;
assign SYNC_net_1           = SYNC_net_0;
assign SYNC                 = SYNC_net_1;
assign RCG_ERROR_net_1      = RCG_ERROR_net_0;
assign RCG_ERROR            = RCG_ERROR_net_1;
assign AHBS_HREADYOUT_net_0 = AHBS_HREADYOUT;
assign HREADYOUT            = AHBS_HREADYOUT_net_0;
assign AHBMTX_HWRITE_net_0  = AHBMTX_HWRITE;
assign TXHWRITE             = AHBMTX_HWRITE_net_0;
assign AHBMTX_HLOCK_net_0   = AHBMTX_HLOCK;
assign TXHLOCK              = AHBMTX_HLOCK_net_0;
assign AHBMTX_HBUSREQ_net_0 = AHBMTX_HBUSREQ;
assign TXHBUSREQ            = AHBMTX_HBUSREQ_net_0;
assign AHBMRX_HWRITE_net_0  = AHBMRX_HWRITE;
assign RXHWRITE             = AHBMRX_HWRITE_net_0;
assign AHBMRX_HLOCK_net_0   = AHBMRX_HLOCK;
assign RXHLOCK              = AHBMRX_HLOCK_net_0;
assign AHBMRX_HBUSREQ_net_0 = AHBMRX_HBUSREQ;
assign RXHBUSREQ            = AHBMRX_HBUSREQ_net_0;
assign TCG_net_1            = TCG_net_0;
assign TCG[9:0]             = TCG_net_1;
assign TSM_CONTROL_net_1    = TSM_CONTROL_net_0;
assign TSM_CONTROL[31:0]    = TSM_CONTROL_net_1;
assign TSM_INTR_net_1       = TSM_INTR_net_0;
assign TSM_INTR[2:0]        = TSM_INTR_net_1;
assign ANX_STATE_net_1      = ANX_STATE_net_0;
assign ANX_STATE[9:0]       = ANX_STATE_net_1;
assign AHBS_HRDATA_net_0    = AHBS_HRDATA;
assign HRDATA[31:0]         = AHBS_HRDATA_net_0;
assign AHBS_HRESP_net_0     = AHBS_HRESP;
assign HRESP[1:0]           = AHBS_HRESP_net_0;
assign AHBMTX_HBURST_net_0  = AHBMTX_HBURST;
assign TXHBURST[2:0]        = AHBMTX_HBURST_net_0;
assign AHBMTX_HTRANS_net_0  = AHBMTX_HTRANS;
assign TXHTRANS[1:0]        = AHBMTX_HTRANS_net_0;
assign AHBMTX_HADDR_net_0   = AHBMTX_HADDR;
assign TXHADDR[31:0]        = AHBMTX_HADDR_net_0;
assign AHBMTX_HWDATA_net_0  = AHBMTX_HWDATA;
assign TXHWDATA[31:0]       = AHBMTX_HWDATA_net_0;
assign AHBMTX_HSIZE_net_0   = AHBMTX_HSIZE;
assign TXHSIZE[2:0]         = AHBMTX_HSIZE_net_0;
assign AHBMRX_HBURST_net_0  = AHBMRX_HBURST;
assign RXHBURST[2:0]        = AHBMRX_HBURST_net_0;
assign AHBMRX_HTRANS_net_0  = AHBMRX_HTRANS;
assign RXHTRANS[1:0]        = AHBMRX_HTRANS_net_0;
assign AHBMRX_HADDR_net_0   = AHBMRX_HADDR;
assign RXHADDR[31:0]        = AHBMRX_HADDR_net_0;
assign AHBMRX_HWDATA_net_0  = AHBMRX_HWDATA;
assign RXHWDATA[31:0]       = AHBMRX_HWDATA_net_0;
assign AHBMRX_HSIZE_net_0   = AHBMRX_HSIZE;
assign RXHSIZE[2:0]         = AHBMRX_HSIZE_net_0;
//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------CORETES_AHB_CORETES_AHB_0_CORETSE_AHB   -   Actel:DirectCore:CORETSE_AHB:3.1.102
CORETES_AHB_CORETES_AHB_0_CORETSE_AHB #( 
        .FAMILY      ( 26 ),
        .GMII_TBI    ( 1 ),
        .MDIO_PHYID  ( 18 ),
        .PACKET_SIZE ( 11 ),
        .SAL         ( 1 ),
        .SLIP_ENABLE ( 0 ),
        .STATS       ( 1 ),
        .WoL         ( 1 ) )
CORETES_AHB_0(
        // Inputs
        .STBP          ( STBP ),
        .TXCLK         ( TXCLK ),
        .RXCLK         ( RXCLK ),
        .GTXCLK        ( GND_net ), // tied to 1'b0 from definition
        .RXDV          ( GND_net ), // tied to 1'b0 from definition
        .RXER          ( GND_net ), // tied to 1'b0 from definition
        .CRS           ( GND_net ), // tied to 1'b0 from definition
        .COL           ( GND_net ), // tied to 1'b0 from definition
        .HRESETN       ( HRESETN ),
        .HCLK          ( HCLK ),
        .HREADY        ( HREADY ),
        .HSEL          ( HSEL ),
        .HWRITE        ( HWRITE ),
        .HMASTLOCK     ( HMASTLOCK ),
        .TXHGRANT      ( TXHGRANT ),
        .TXHREADY      ( TXHREADY ),
        .RXHGRANT      ( RXHGRANT ),
        .RXHREADY      ( RXHREADY ),
        .MDI           ( MDI ),
        .SIGNAL_DETECT ( SIGNAL_DETECT ),
        .TBI_RX_CLK    ( TBI_RX_CLK ),
        .TBI_TX_CLK    ( TBI_TX_CLK ),
        .TBI_RX_READY  ( GND_net ), // tied to 1'b0 from definition
        .TBI_RX_VALID  ( GND_net ), // tied to 1'b0 from definition
        .RCG           ( RCG ),
        .RXD           ( RXD_const_net_0 ), // tied to 8'h00 from definition
        .HWDATA        ( HWDATA ),
        .HADDR         ( HADDR ),
        .HTRANS        ( HTRANS ),
        .HBURST        ( HBURST ),
        .HSIZE         ( HSIZE ),
        .TXHRESP       ( TXHRESP ),
        .TXHRDATA      ( TXHRDATA ),
        .RXHRESP       ( RXHRESP ),
        .RXHRDATA      ( RXHRDATA ),
        // Outputs
        .TXEN          (  ),
        .TXER          (  ),
        .HREADYOUT     ( AHBS_HREADYOUT ),
        .TXHBUSREQ     ( AHBMTX_HBUSREQ ),
        .TXHWRITE      ( AHBMTX_HWRITE ),
        .RXHBUSREQ     ( AHBMRX_HBUSREQ ),
        .RXHWRITE      ( AHBMRX_HWRITE ),
        .TXHLOCK       ( AHBMTX_HLOCK ),
        .RXHLOCK       ( AHBMRX_HLOCK ),
        .MDC           ( MDC_net_0 ),
        .MDO           ( MDO_net_0 ),
        .MDOEN         ( MDOEN_net_0 ),
        .SYNC          ( SYNC_net_0 ),
        .TBI_TX_VALID  (  ),
        .RCG_ERROR     ( RCG_ERROR_net_0 ),
        .RX_SLIP       (  ),
        .TCG           ( TCG_net_0 ),
        .TXD           (  ),
        .HRDATA        ( AHBS_HRDATA ),
        .HRESP         ( AHBS_HRESP ),
        .TXHTRANS      ( AHBMTX_HTRANS ),
        .TXHADDR       ( AHBMTX_HADDR ),
        .TXHWDATA      ( AHBMTX_HWDATA ),
        .RXHTRANS      ( AHBMRX_HTRANS ),
        .RXHADDR       ( AHBMRX_HADDR ),
        .RXHWDATA      ( AHBMRX_HWDATA ),
        .TXHBURST      ( AHBMTX_HBURST ),
        .RXHBURST      ( AHBMRX_HBURST ),
        .TXHSIZE       ( AHBMTX_HSIZE ),
        .RXHSIZE       ( AHBMRX_HSIZE ),
        .TSM_CONTROL   ( TSM_CONTROL_net_0 ),
        .TSM_INTR      ( TSM_INTR_net_0 ),
        .ANX_STATE     ( ANX_STATE_net_0 ) 
        );


endmodule
